Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/Makefile,v
retrieving revision 1.2450
diff -u -r1.2450 Makefile
--- Makefile	24 Jun 2017 06:47:58 -0000	1.2450
+++ Makefile	28 Jul 2017 03:50:13 -0000
@@ -630,6 +630,7 @@
 SUBDIR+=	lua-BitOp
 SUBDIR+=	lua-alt-getopt
 SUBDIR+=	lua-coxpcall
+SUBDIR+=	lua-doc
 SUBDIR+=	lua-filesystem
 SUBDIR+=	lua-gi
 SUBDIR+=	lua-ljsyscall
Index: lua-doc/DESCR
===================================================================
RCS file: lua-doc/DESCR
diff -N lua-doc/DESCR
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lua-doc/DESCR	28 Jul 2017 03:50:14 -0000
@@ -0,0 +1,9 @@
+LDoc is a software documentation tool which automatically generates API
+documentation out of source code comments (doc comments). It is mainly targeted
+at Lua and documenting Lua APIs, but it can also parse C with according doc
+comments for documenting Lua modules implemented in C.
+
+It is mostly compatible with LuaDoc, except that certain workarounds are no
+longer needed. For instance, it is not so married to the idea that Lua modules
+should be defined using the module function; this is not only a matter of taste
+since this has been deprecated in Lua 5.2.
Index: lua-doc/Makefile
===================================================================
RCS file: lua-doc/Makefile
diff -N lua-doc/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lua-doc/Makefile	28 Jul 2017 03:50:14 -0000
@@ -0,0 +1,24 @@
+# $NetBSD$
+
+DISTNAME=	ldoc-1.4.6
+PKGNAME=	${DISTNAME:S/l/${LUA_PKGPREFIX}-/}
+CATEGORIES=	devel
+MASTER_SITES=	${MASTER_SITE_GITHUB:=stevedonovan/}
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	https://stevedonovan.github.io/ldoc/
+COMMENT=	LuaDoc-compatible documentation generation system
+LICENSE=	mit
+
+MAKE_FLAGS+=	LUA=${LUA_INTERPRETER}
+MAKE_FLAGS+=	LUA_BINDIR=${PREFIX}/bin
+MAKE_FLAGS+=	LUA_SHAREDIR=${PREFIX}/${LUA_LDIR}
+MAKE_FILE=	makefile
+NO_BUILD=	yes
+WRKSRC=		${WRKDIR}/LDoc-${PKGVERSION_NOREV}
+
+DEPENDS+=	${LUA_PKGPREFIX}-penlight-[0-9]*:../../devel/lua-penlight
+
+.include "../../lang/lua/module.mk"
+
+.include "../../mk/bsd.pkg.mk"
Index: lua-doc/PLIST
===================================================================
RCS file: lua-doc/PLIST
diff -N lua-doc/PLIST
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lua-doc/PLIST	28 Jul 2017 03:50:14 -0000
@@ -0,0 +1,35 @@
+@comment $NetBSD$
+bin/ldoc
+${LUA_LDIR}/ldoc.lua
+${LUA_LDIR}/ldoc/SciTE.properties
+${LUA_LDIR}/ldoc/builtin/coroutine.lua
+${LUA_LDIR}/ldoc/builtin/debug.lua
+${LUA_LDIR}/ldoc/builtin/global.lua
+${LUA_LDIR}/ldoc/builtin/globals.lua
+${LUA_LDIR}/ldoc/builtin/io.lua
+${LUA_LDIR}/ldoc/builtin/lfs.lua
+${LUA_LDIR}/ldoc/builtin/lpeg.lua
+${LUA_LDIR}/ldoc/builtin/math.lua
+${LUA_LDIR}/ldoc/builtin/os.lua
+${LUA_LDIR}/ldoc/builtin/package.lua
+${LUA_LDIR}/ldoc/builtin/string.lua
+${LUA_LDIR}/ldoc/builtin/table.lua
+${LUA_LDIR}/ldoc/builtin/utf8.lua
+${LUA_LDIR}/ldoc/config.ld
+${LUA_LDIR}/ldoc/doc.lua
+${LUA_LDIR}/ldoc/html.lua
+${LUA_LDIR}/ldoc/html/_code_css.lua
+${LUA_LDIR}/ldoc/html/_reset_css.lua
+${LUA_LDIR}/ldoc/html/ldoc_css.lua
+${LUA_LDIR}/ldoc/html/ldoc_fixed_css.lua
+${LUA_LDIR}/ldoc/html/ldoc_ltp.lua
+${LUA_LDIR}/ldoc/html/ldoc_md_ltp.lua
+${LUA_LDIR}/ldoc/html/ldoc_one_css.lua
+${LUA_LDIR}/ldoc/html/ldoc_pale_css.lua
+${LUA_LDIR}/ldoc/lang.lua
+${LUA_LDIR}/ldoc/lexer.lua
+${LUA_LDIR}/ldoc/markdown.lua
+${LUA_LDIR}/ldoc/markup.lua
+${LUA_LDIR}/ldoc/parse.lua
+${LUA_LDIR}/ldoc/prettify.lua
+${LUA_LDIR}/ldoc/tools.lua
Index: lua-doc/distinfo
===================================================================
RCS file: lua-doc/distinfo
diff -N lua-doc/distinfo
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lua-doc/distinfo	28 Jul 2017 03:50:14 -0000
@@ -0,0 +1,7 @@
+$NetBSD$
+
+SHA1 (ldoc-1.4.6.tar.gz) = 587ea175311110144df0d9c2175a72e462378e04
+RMD160 (ldoc-1.4.6.tar.gz) = b1d1fa7967af7f5c9c598c0a4898940e4275b03e
+SHA512 (ldoc-1.4.6.tar.gz) = bcaddba4e462a4fb0aa0d8fcff390de3f195fa5cc569d8f05b84ad0fff900f5ac945be7a2eb15cf5ca60cc462f02c874579e4a19e33776178a04104ef9d944af
+Size (ldoc-1.4.6.tar.gz) = 126080 bytes
+SHA1 (patch-makefile) = 39f47724ee68a9be14fbff3977447f117eb4ae22
Index: lua-doc/patches/patch-makefile
===================================================================
RCS file: lua-doc/patches/patch-makefile
diff -N lua-doc/patches/patch-makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ lua-doc/patches/patch-makefile	28 Jul 2017 03:50:14 -0000
@@ -0,0 +1,40 @@
+$NetBSD$
+
+Don't use mkdir and cp directly, use BSD_INSTALL_* abstraction instead
+
+--- makefile.orig	2016-11-07 14:20:55.000000000 +0000
++++ makefile
+@@ -6,17 +6,26 @@ LUA_SHAREDIR=$(LUA_PREFIX)/share/lua/5.1
+ ldoc:
+ 
+ install: install_parts
+-	echo "lua $(LUA_SHAREDIR)/ldoc.lua \$$*" > $(DESTDIR)$(LUA_BINDIR)/ldoc
+-	chmod +x $(DESTDIR)$(LUA_BINDIR)/ldoc
++	$(BSD_INSTALL_SCRIPT_DIR) $(DESTDIR)$(LUA_BINDIR)
++	echo "$(LUA) $(LUA_SHAREDIR)/ldoc.lua \$$*" > ldoc.sh
++	$(BSD_INSTALL_SCRIPT) ldoc.sh $(DESTDIR)$(LUA_BINDIR)/ldoc
+ 
+ install_luajit: install_parts
+-	echo "luajit $(LUA_SHAREDIR)/ldoc.lua \$$*" > $(DESTDIR)$(LUA_BINDIR)/ldoc
+-	chmod +x $(DESTDIR)$(LUA_BINDIR)/ldoc
++	$(BSD_INSTALL_SCRIPT_DIR) $(DESTDIR)$(LUA_BINDIR)
++	echo "luajit $(LUA_SHAREDIR)/ldoc.lua \$$*" > ldoc.sh
++	$(BSD_INSTALL_SCRIPT) ldoc.sh $(DESTDIR)$(LUA_BINDIR)/ldoc
+ 
+ install_parts:
+-	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
+-	cp ldoc.lua $(DESTDIR)$(LUA_SHAREDIR)
+-	cp -r ldoc $(DESTDIR)$(LUA_SHAREDIR)
++	$(BSD_INSTALL_DATA_DIR) $(DESTDIR)$(LUA_SHAREDIR)
++	$(BSD_INSTALL_DATA) ldoc.lua $(DESTDIR)$(LUA_SHAREDIR)
++	$(BSD_INSTALL_DATA_DIR) $(DESTDIR)$(LUA_SHAREDIR)/ldoc
++	$(BSD_INSTALL_DATA) ldoc/SciTE.properties $(DESTDIR)$(LUA_SHAREDIR)/ldoc
++	$(BSD_INSTALL_DATA) ldoc/config.ld $(DESTDIR)$(LUA_SHAREDIR)/ldoc
++	$(BSD_INSTALL_DATA) ldoc/*.lua $(DESTDIR)$(LUA_SHAREDIR)/ldoc
++	$(BSD_INSTALL_DATA_DIR) $(DESTDIR)$(LUA_SHAREDIR)/ldoc/builtin
++	$(BSD_INSTALL_DATA) ldoc/builtin/* $(DESTDIR)$(LUA_SHAREDIR)/ldoc/builtin
++	$(BSD_INSTALL_DATA_DIR) $(DESTDIR)$(LUA_SHAREDIR)/ldoc/html
++	$(BSD_INSTALL_DATA) ldoc/html/* $(DESTDIR)$(LUA_SHAREDIR)/ldoc/html
+ 
+ uninstall:
+ 	-rm $(DESTDIR)$(LUA_SHAREDIR)/ldoc.lua
